$ XVER := 'f$verify(0)'
$! File:		INTERNET.COM
$! Author:		Vinit Carpenter (carpenterv@vms.csd.mu.edu)
$! Date:		October 93
$! Last update:		Januray 17, 1994
$! Purpose:		Gives the user access to the Internet via a menu.
$!
$ IF "INTERACTIVE" .NES. F$MODE() THEN GOTO EXIT
$ IF P1 .EQS. "?"
$ THEN CREATE SYS$OUTPUT

    INTERNET.COM

    This is a front-end menu to the Internet.  This menu is supposed to
    provide a user with limited knowledge of VMS or the Internet to use the
    resources of the Internet.  I feel this menu will also be very useful
    to even the people that have been on the Internet for a while. 

$ READ SYS$COMMAND/PROMPT= "Press <RETURN> to continue ..." ANS
$ GOTO EXIT
$ ENDIF
$ TTYT = F$GETDVI("SYS$COMMAND","DEVTYPE")
$ IF TTYT .EQ. 0 THEN $ SET TERMINAL/INQUIRE
$ TTYT = F$GETDVI("SYS$COMMAND","DEVTYPE")
$ IF TTYT .EQ. 96 THEN SET TERM/DEVICE=VT100
$ IF TTYT .EQ. 100 .OR. TTYT .EQ. 101 .OR. TTYT .EQ. 102 .OR. TTYT .EQ. 3 -
.OR. TTYT .EQ. 96 .OR. TTYT .EQ. 110 .OR. TTYT .EQ. 97 .OR. TTYT .EQ. 111 -
.OR. TTYT .EQ. 98 .OR. TTYT .EQ. 99 .OR. TTYT .EQ. 112 THEN GOTO TERMOK
$ TYPE SYS$INPUT:

To use this program, you need a VT100 or compatible terminal or emulator. Your
terminal does not appear to be VT100 compatible. If you continue, this program
may not work correctly for you.  Please add the line [1mSET TERM/INQ[0m in your
LOGIN.COM file.


$ INPUT "Do you want to continue (Y or N): " JUNK
$ IF .NOT. JUNK THEN GOTO EXIT
$TERMOK: 
$ SET TERM/INQ
$ SET NOON
$ ON ERROR THEN GOTO E
$ ON CONTROL_Y THEN GOTO E
$ INPUT := READ SYS$COMMAND/PROMPT=
$ SAY := WRITE SYS$OUTPUT
$ MSG = F$ENVIRONMENT("MESSAGE")
$ USERNAME = F$EDIT(F$GETJPI("","USERNAME"),"TRIM")
$!
$! YOU CAN KEEP TRACK OF WHO USES THE MENU.  CURRENTLY COUNT IS DISABLED.
$!
$! OPEN/APPEND/ERROR=OPEN_ERROR  OUTPUT_FILE  MU8DISK:[1CARPENTERV.MENU]COUNT.CNT
$! WRITE OUTPUT_FILE "''USERNAME' 	used the menu on ''F$TIME()'"
$! CLOSE OUTPUT_FILE
$! GOTO CONT
$! OPEN_ERROR:
$! SAY "Error opening COUNT.CNT. Tell someone..."
$!CONT:
$ DATE = F$FAO("!2ZB/!2ZB/!2ZB", F$INTEGER(F$CVTIME(,,"MONTH")),-
				 F$INTEGER(F$CVTIME(,,"DAY")),-
			F$INTEGER(F$EXTRACT(2,2,F$CVTIME(,,"YEAR"))))
$ TEMP_FILE = F$PARSE( F$GETJPI( "", "PID" ), ".TMP;" )
$ ESC[0,7]==27 
$ CL := TYPE/PAGE NL:  !A lot of sites I tested this menu on did not have CL
$ RESTORE   :="''ESC'[0m" 
$ BOLD	    :="''ESC'[1m"
$ BLINK	    :="''ESC'[5m"
$ REVERSE   :="''ESC'[7m"
$ GRON      :="''ESC'(0"
$ GROF      :="''ESC'(B" 
$ CL
$ say gron,"''ESC'[9;22Hlqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqk",grof
$ say gron,"''ESC'[10;22Hx",grof,gron,"''ESC'[10;54Hx",grof,reverse," ",restore
$ say gron,"''ESC'[11;22Hx",grof,"	     The INTERNET Menu",gron,"''ESC'[11;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[12;22Hx",grof,"		     By",gron,"''ESC'[12;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[13;22Hx",grof,"	     Vinit S. Carpenter",gron,"''ESC'[13;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[14;22Hx",grof,"  (carpenterv@vms.csd.mu.edu)",gron,"''ESC'[14;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[15;22Hx","''ESC'[15;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[16;22Hx",grof,blink,"   Press <RETURN> to Continue",restore,gron,"''ESC'[16;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[17;22Hmqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqj",grof,reverse," ", restore
$ say "''ESC'[18;22H",reverse,"                                  ",restore
$ INPUT " " ANS/END=EXIT
$ GOTO MENU
$ MENU:
$ AORP = "A"
$ HOUR = F$INTEGER(F$CVTIME(,,"HOUR"))
$ IF HOUR .GT. 11 THEN AORP = "P"
$ IF HOUR .GT. 12 THEN HOUR = HOUR - 12
$ TIME = F$FAO("!2ZB:!2ZB !ASM",HOUR,F$INTEGER(F$CVTIME(,,"MINUTE")),AORP)
$ CL
$ SAY "			[7m[1m Internet Menu v4.0 by V. Carpenter [0m"
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ SAY F$FAO("User: !AS ",USERNAME)
$ SAY F$FAO("Time: !AS							Date: !AS",TIME,DATE)
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ say "				  [1m MAIN MENU [0m "
$ say "''ESC'[9;10H1) WHAT IS THE INTERNET?","''ESC'[9;55H2) NEWS"
$ say "''ESC'[11;10H3) GOPHER","''ESC'[11;55H4) FREENETS" 
$ say "''ESC'[13;10H5) TELNET/FTP","''ESC'[13;55H6) LIBRARY"
$ say "''ESC'[15;10H7) FUN WITH FINGER","''ESC'[15;55H8) SUGGESTIONS"
$ say "''ESC'[17;10H9) INTERNET UTILITIES","''ESC'[17;55H10) SYSINFO
$ SAY "''ESC'[19;10HE) EXIT TO DCL ('$')","''ESC'[19;55HH) HELP"
$ SAY " "
$ SAY " "
$ INPUT "[1mEnter Choice:[0m " CHOICE/END=EXIT
$ CHOICE = F$EXTRACT(0, 2, F$EDIT(CHOICE, "UPCASE"))
$ IF (CHOICE .EQS. "1") THEN GOTO 1
$ IF (CHOICE .EQS. "2") THEN GOTO 2
$ IF (CHOICE .EQS. "3") THEN GOTO 3
$ IF (CHOICE .EQS. "4") THEN GOTO 4
$ IF (CHOICE .EQS. "5") THEN GOTO 5
$ IF (CHOICE .EQS. "6") THEN GOTO 6
$ IF (CHOICE .EQS. "7") THEN GOTO 7
$ IF (CHOICE .EQS. "8") THEN GOTO 8
$ IF (CHOICE .EQS. "9") THEN GOTO 9
$ IF (CHOICE .EQS. "10") THEN GOTO 10
$ IF (CHOICE .EQS. "H") THEN GOTO H
$ IF (CHOICE .EQS. "E") THEN GOTO E
$ IF (CHOICE .EQS. "V") THEN GOTO V
$ WRITE SYS$OUTPUT "INVALID CHOICE.. PLEASE TRY AGAIN"
$ GOTO MENU
$1:
$ CL
$ TYPE SYS$INPUT

    [7mWHAT IS THE INTERNET?[0m
    
    Put very simply, the Internet is the World's Largest Computer Network.
    Period.  The Internet is comprised of over 1.8 million computer systems
    connected together serving over 15 million people per day in over 100
    countries around the world.

    The Internet allows people to get together via the vast number of
    inter connected computers to exchange Electronic Mail (Email),
    programs, data files, participate in Usenet Newsgroups, join in online
    chat groups, use Bulletin- Board systems around the world, play
    multiple player games, peruse electronic libraries and lots more.






$ INPUT "    Press <RETURN> to continue ... " ANS
$ GOTO MENU
$2:
$NMENU:
$ CL
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ SAY F$FAO("User: !AS ",USERNAME)
$ SAY F$FAO("Time: !AS							Date: !AS",TIME,DATE)
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ say "				  [1m NEWS MENU [0m "
$ say "''ESC'[10;25H11) What Is USENET?"
$ say "''ESC'[12;25H12) Posting Rules"
$ say "''ESC'[14;25H13) Complete list of newsgroups"
$ say "''ESC'[16;25H14) NEWS"
$ say "''ESC'[18;25H M) Return to the MAIN MENU"
$ say " "
$ say " "
$ say " "
$ INPUT "[1mEnter Choice: [0m" CHOICE/END=EXIT
$ CHOICE = F$EXTRACT(0, 2, F$EDIT(CHOICE, "UPCASE"))
$ IF (CHOICE .EQS. "11") THEN GOTO 11
$ IF (CHOICE .EQS. "12") THEN GOTO 12
$ IF (CHOICE .EQS. "13") THEN GOTO 13
$ IF (CHOICE .EQS. "14") THEN GOTO 14
$ IF (CHOICE .EQS. "M") THEN GOTO MENU
$ IF (CHOICE .EQS. "E") THEN GOTO EXIT
$ WRITE SYS$OUTPUT "INVALID CHOICE.. PLEASE TRY AGAIN"
$ GOTO NMENU
$11:
$ CL
$ TYPE SYS$INPUT

    Usenet News is the mass of articles shared by a  world-wide informal
    association of participating  computer systems which provide news
    reading and  posting services to their respective users. The articles 
    are posted and read within several hierarchies of  named topics or
    news groups. When an article is  posted at one site, that site
    transfers (or feeds) the  article to other connected systems that have
    recorded  an interest in receiving the corresponding news  group. 
    Eventually, every system that wishes to  receive the postings to that
    news group will receive a  copy as the article filters through the
    logically  connected network of Usenet News server systems.

    The typical contents of news group articles include  questions,
    responses, announcements, opinions,  information, and complaints.
    Computer programs,  graphical images and other data may also appear. 
    Users should be aware that some groups may carry  forms of expression
    or ideas which may be highly  objectionable to some readers.


$ SAY " "
$ INPUT "Press <RETURN> to continue..." ANS
$ GOTO NMENU
$12:
$ CL
$ TYPE SYS$INPUT

    Some newsgroups are intended for discussions and some for announcements
    or queries.  It is not usually a good idea to carry on discussions in
    newsgroups that are designated otherwise.   Before posting, think about
    where your article is going.  If it's posted to a "comp", "news",
    "misc", "soc", "sci", "rec" or "talk" newsgroup, it will probably go to
    the sites on every continent with an estimated audience of more than 3
    million potential readers.  Certain articles are only of local interest
    (e.g. used car ads) and it is inappropriate to post them to the whole
    world.  

    Be considerate with your use of network resources.  Your individual
    usage may not seem like much compared to the net as a whole, but in
    aggregate, small savings in disk or CPU add up to a great deal.  For
    instance, messages offering thanks, jibes, or congratulations will only
    need to be seen by the interested parties -- send these by mail rather
    than posting them. The same goes for simple questions, and especially
    for any form of "me too" posting.

$ SAY " "
$ INPUT "Press <RETURN> to continue..." ANS
$ GOTO NMENU
$13:
$ CL
$ TYPE SYS$INPUT

    To get a complete list of all active newsgroups, information about
    creating newsgroups, moderators, posting guidelines, etc. ftp to the
    following ftp site:

    	ftp ftp.uu.net

    Login with the username anonymous.  You can use option 5 in the main
    menu for automatic anonymous ftp.  Look under the following directory.

    usenet/news.announce.newgroups

    A partial listing is enclosed below:

-rw-rw-r--   1 27       archive     37538 Nov 30 19:02 ActiveNewsgroupsI
-rw-rw-r--   1 27       archive     31732 Nov 30 19:02 ActiveNewsgroupsII
-rw-rw-r--   1 27       archive     56542 Nov 30 19:02 AlternateHierarchiesI
-rw-rw-r--   1 27       archive     42936 Nov 30 19:03 AlternateHierarchiesII
drwxrwsr-x   2 27       archive      1024 Nov 29 21:58 New_Groups_Summary
drwxrwsr-x   2 27       archive      1024 Jan 12 20:22 New_USENET_Groups
drwxrwsr-x   2 27       archive       512 Nov 29 23:09 New_non-USENET_Groups


$ INPUT "Press <RETURN> to continue..." ANS
$ GOTO NMENU
$14:
$ SAY " "
$ SAY "   To exit from NEWS, key in the word EXIT at the NEWS> prompt"
$ SAY " "
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ NEWS
$ GOTO MENU
$3:
$ GMENU:
$ CL
$ SAY "				[7m[1m Internet Menu [0m"
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ SAY F$FAO("User: !AS ",USERNAME)
$ SAY F$FAO("Time: !AS							Date: !AS",TIME,DATE)
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ say "				 [1m GOPHER MENU [0m "
$ say "''ESC'[9;25H21) MARQUEST (Marquette's Gopher)"
$ say "''ESC'[10;25H22) Minnesota Gopher (The original Gopher)"
$ say "''ESC'[11;25H23) National Institute of Health gopher"
$ say "''ESC'[12;25H24) United Nations Gopher"
$ say "''ESC'[13;25H25) Electronic Newstand Gopher"
$ say "''ESC'[14;25H26) National Science Foundation Gopher"
$ say "''ESC'[15;25H27) Internet Wiretap Gopher"
$ say "''ESC'[16;25H28) Internic Network Information Gopher"
$ say "''ESC'[17;25H29) Huge Huge Huge Gopher (A must see)"
$ say "''ESC'[18;26HM) Return to the main menu"
$ say " "
$ say " "
$ say " "
$ INPUT "[1mEnter Choice: [0m" CHOICE/END=EXIT
$ CHOICE = F$EXTRACT(0, 2, F$EDIT(CHOICE, "UPCASE"))
$ IF (CHOICE .EQS. "21") THEN GOTO 21
$ IF (CHOICE .EQS. "22") THEN GOTO 22
$ IF (CHOICE .EQS. "23") THEN GOTO 23
$ IF (CHOICE .EQS. "24") THEN GOTO 24
$ IF (CHOICE .EQS. "25") THEN GOTO 25
$ IF (CHOICE .EQS. "26") THEN GOTO 26
$ IF (CHOICE .EQS. "27") THEN GOTO 27
$ IF (CHOICE .EQS. "28") THEN GOTO 28
$ IF (CHOICE .EQS. "29") THEN GOTO 29
$ IF (CHOICE .EQS. "M") THEN GOTO MENU
$ IF (CHOICE .EQS. "E") THEN GOTO EXIT
$ WRITE SYS$OUTPUT "INVALID CHOICE.. PLEASE TRY AGAIN"
$ GOTO GMENU
$21:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ GOPHER SUNNY.CSD.MU.EDU
$ GOTO GMENU
$22:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ GOPHER
$ GOTO GMENU
$23:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ GOPHER GOPHER.NIH.GOV
$ GOTO GMENU
$24:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ GOPHER nywork1.undp.org
$ GOTO GMENU
$25:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ GOPHER gopher.netsys.com
$ GOTO GMENU
$26:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ GOPHER stis.nsf.gov
$ GOTO GMENU
$27:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ GOPHER wiretap.spies.com 
$ GOTO GMENU
$28:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ GOPHER rs.internic.net
$ GOTO GMENU
$29:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ GOPHER ENGLISH-SERVER.HSS.CMU.EDU
$ GOTO GMENU
$4:
$FMENU:
$ CL
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ SAY F$FAO("User: !AS ",USERNAME)
$ SAY F$FAO("Time: !AS							Date: !AS",TIME,DATE)
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ say "			    [1m FREENET MENU [0m "
$ say " "
$ SAY "''ESC'[10;25H41) BUFFALO FREE-NET"
$ SAY "''ESC'[11;25H42) CLEVELAND FREE-NET"
$ SAY "''ESC'[12;25H43) DENVER FREE-NET"
$ SAY "''ESC'[13;25H44) HEARTLAND FREE-NET"
$ SAY "''ESC'[14;25H45) NATIONAL FREE-NET"
$ SAY "''ESC'[15;25H46) TALLAHASSEE FREE-NET"
$ SAY "''ESC'[16;25H47) VICTORIA FREE-NET"
$ SAY "''ESC'[17;25H48) YOUNGSTOWN FREE-NET"
$ SAY "''ESC'[18;25H49) MILWAUKEE FREE-NET"
$ SAY "''ESC'[19;26HM) Return to the MAIN MENU"
$ SAY " "
$ SAY " "
$ SAY " "
$ SAY " "
$ INPUT "[1mEnter Choice: [0m" CHOICE/END=EXIT
$ CHOICE = F$EXTRACT(0, 2, F$EDIT(CHOICE, "UPCASE"))
$ IF (CHOICE .EQS. "41") THEN GOTO 41
$ IF (CHOICE .EQS. "42") THEN GOTO 42
$ IF (CHOICE .EQS. "43") THEN GOTO 43
$ IF (CHOICE .EQS. "44") THEN GOTO 44
$ IF (CHOICE .EQS. "45") THEN GOTO 45
$ IF (CHOICE .EQS. "46") THEN GOTO 46
$ IF (CHOICE .EQS. "47") THEN GOTO 47
$ IF (CHOICE .EQS. "48") THEN GOTO 48
$ IF (CHOICE .EQS. "49") THEN GOTO 49
$ IF (CHOICE .EQS. "M") THEN GOTO MENU
$ IF (CHOICE .EQS. "E") THEN GOTO EXIT
$ WRITE SYS$OUTPUT "INVALID CHOICE.. PLEASE TRY AGAIN"
$41:
$ CL
$ SAY "Enter 'freeport' at the login: prompt"
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET FREENET.BUFFALO.EDU
$ GOTO FMENU 
$42:
$ CL
$ SAY "Select #2 at the first menu"
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET FREENET-IN-A-CWRU.EDU
$ GOTO FMENU 
$43:
$ CL
$ SAY "Enter 'guest' at the login: prompt"
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET FREENET.HSC.COLORADO.EDU
$ GOTO FMENU 
$44:
$ CL
$ SAY "Enter 'bbguest' at the login: prompt"
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET HEARTLAND.BRADLEY.EDU
$ GOTO FMENU 
$45:
$ CL
$ SAY "Enter 'guest' at the login: prompt"
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET FREENET.CARLETON.CA
$ GOTO FMENU 
$46:
$ CL
$ SAY "Enter 'visitor' at the login: prompt"
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET FREENET.FSU.EDU
$ GOTO FMENU 
$47:
$ CL
$ SAY "Enter 'guest' at the login: prompt"
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET FREENET.VICTORIA.BC.CA
$ GOTO FMENU 
$48:
$ CL
$ SAY "Enter 'visitor' at the login: prompt"
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET YFN.YSU.EDU
$ GOTO FMENU 
$49:
$ CL
$ SAY "Enter 'visitor' at the login: prompt"
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET FREENET.UWM.EDU
$ GOTO FMENU 
$5:
$IMENU:
$ cl
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ SAY F$FAO("User: !AS ",USERNAME)
$ SAY F$FAO("Time: !AS							Date: !AS",TIME,DATE)
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ say "			    [1m TELNET/FTP MENU [0m "
$ say " "
$ SAY "''ESC'[12;25H51) Telnet to a remote host"
$ SAY "''ESC'[14;25H52) FTP to a remote host"
$ SAY "''ESC'[16;25H53) Anonymous FTP"
$ SAY "''ESC'[18;26HM) Return to the MAIN MENU"
$ SAY " "
$ SAY " "
$ SAY " "
$ SAY " "
$ INPUT "[1mEnter Choice: [0m" CHOICE/END=EXIT
$ CHOICE = F$EXTRACT(0, 2, F$EDIT(CHOICE, "UPCASE"))
$ IF (CHOICE .EQS. "51") THEN GOTO 51
$ IF (CHOICE .EQS. "52") THEN GOTO 52
$ IF (CHOICE .EQS. "53") THEN GOTO 53
$ IF (CHOICE .EQS. "M") THEN GOTO MENU
$ WRITE SYS$OUTPUT "INVALID CHOICE.. PLEASE TRY AGAIN"
$ GOTO IMENU
$51:
$ CL
$ READ/PROMPT="Enter telnet hostname: " SYS$COMMAND HOSTNAME
$ IF HOSTNAME .EQS. "" THEN GOTO IMENU
$ WRITE SYS$OUTPUT ""
$ DEFINE/USER_MODE SYS$INPUT SYS$COMMAND
$ TELNET 'HOSTNAME'
$ GOTO IMENU
$!
$52:
$ CL
$ READ/PROMPT="Enter FTP hostname: " SYS$COMMAND HOSTNAME
$ IF HOSTNAME .EQS. "" THEN GOTO IMENU
$ WRITE SYS$OUTPUT ""
$ DEFINE/USER_MODE SYS$INPUT SYS$COMMAND
$ FTP 'HOSTNAME'
$ GOTO IMENU
$!
$53:
$ CL
$ READ/PROMPT="Enter anonymous FTP hostname: " SYS$COMMAND HOSTNAME
$ IF HOSTNAME .EQS. "" THEN GOTO IMENU
$ WRITE SYS$OUTPUT ""
$ DEFINE/USER_MODE SYS$INPUT SYS$COMMAND
$ FTP/PASS="-''USERNAME'@''F$TRNLNM("MULTINET_HOST_NAME")'"-
		/USER="anonymous" 'HOSTNAME'
$ GOTO IMENU
$6:
$ LMENU:
$ CL
$ SAY "				[7m[1m Internet Menu [0m"
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ SAY F$FAO("User: !AS ",USERNAME)
$ SAY F$FAO("Time: !AS							Date: !AS",TIME,DATE)
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ say "				 [1m LIBRARY MENU [0m "
$ SAY "''ESC'[10;20H61) Connect to the Marquette Library  <TEL>"
$ SAY "''ESC'[12;20H62) Connect to the UW-Madison Library <TEL>"
$ SAY "''ESC'[14;20H63) Colorado Alliance Library (CARL) <TEL>"
$ SAY "''ESC'[16;20H64) Connect to the Library of Congress <TEL>"
$ SAY "''ESC'[18;21HM) Return to the MAIN MENU"
$ SAY " "
$ SAY " "
$ SAY " "
$ INPUT "[1mEnter Choice: [0m" CHOICE/END=EXIT
$ CHOICE = F$EXTRACT(0, 2, F$EDIT(CHOICE, "UPCASE"))
$ IF (CHOICE .EQS. "61") THEN GOTO 61
$ IF (CHOICE .EQS. "62") THEN GOTO 62
$ IF (CHOICE .EQS. "63") THEN GOTO 63
$ IF (CHOICE .EQS. "64") THEN GOTO 64
$ IF (CHOICE .EQS. "M") THEN GOTO MENU
$ IF (CHOICE .EQS. "E") THEN GOTO E
$ WRITE SYS$OUTPUT "INVALID CHOICE.. PLEASE TRY AGAIN"
$ GOTO LMENU
$61:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ rlogin/lowercase/user="m" libus.csd.mu.edu
$ GOTO LMENU
$62:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET NLS.ADP.WISC.EDU
$ GOTO LMENU
$63:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET PAC.CARL.ORG
$ GOTO LMENU
$64:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET LOCIS.LOC.GOV
$ GOTO LMENU
$7:
$FMENU:
$ clear
$ SAY "				[7m[1m Internet Menu [0m"
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ SAY F$FAO("User: !AS ",USERNAME)
$ SAY F$FAO("Time: !AS							Date: !AS",TIME,DATE)
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ say "				 [1m FINGER MENU [0m "
$ SAY "''ESC'[10;25H71) Fortune Cookie <flaky at times>
$ SAY "''ESC'[11;25H72) Finger a user at your site"
$ SAY "''ESC'[12;25H73) Earthquake Information"
$ SAY "''ESC'[13;25H74) Billboard charts"
$ SAY "''ESC'[14;25H75) NASA Headline News"
$ SAY "''ESC'[15;25H76) Nielson TV Ratings"
$ SAY "''ESC'[16;25H77) Random Star-Trek Quote"
$ SAY "''ESC'[17;25H78) Milwaukee Weather"
$ SAY "''ESC'[18;25H79) NFL Scores/Standings"
$ SAY "''ESC'[19;26HM) Return to the MAIN MENU"
$ SAY " "
$ SAY " "
$ SAY " "
$ INPUT "[1mEnter Choice: [0m" CHOICE/END=EXIT
$ CHOICE = F$EXTRACT(0, 2, F$EDIT(CHOICE, "UPCASE"))
$ IF (CHOICE .EQS. "71") THEN GOTO 71
$ IF (CHOICE .EQS. "72") THEN GOTO 72
$ IF (CHOICE .EQS. "73") THEN GOTO 73
$ IF (CHOICE .EQS. "74") THEN GOTO 74
$ IF (CHOICE .EQS. "75") THEN GOTO 75
$ IF (CHOICE .EQS. "76") THEN GOTO 76
$ IF (CHOICE .EQS. "77") THEN GOTO 77
$ IF (CHOICE .EQS. "78") THEN GOTO 78
$ IF (CHOICE .EQS. "79") THEN GOTO 79
$ IF (CHOICE .EQS. "M") THEN GOTO MENU
$ IF (CHOICE .EQS. "E") THEN GOTO E
$ WRITE SYS$OUTPUT "INVALID CHOICE.. PLEASE TRY AGAIN"
$ GOTO FMENU
$71:
$ CL
$ SAY " "
$ TELNET ASTRO.TEMPLE.EDU 12345
$ SAY " "
$ SAY " "
$ INPUT "Press <RETURN> to continue.... " ANS
$ GOTO FMENU
$72:
$ CL
$ INPUT "Enter the name of the person you want to finger: " NAME
$ NAME = F$EXTRACT(0, 13, F$EDIT(NAME, "UPCASE"))
$ FINGER "''NAME'"
$ SAY " "
$ INPUT "Press <RETURN> to continue.... " ANS
$ GOTO FMENU
$73:
$ DEFINE/USER SYS$OUTPUT 'TEMP_FILE'
$ FINGER quake@geophys.washington.edu
$ TYPE/PAGE 'TEMP_FILE'
$ DELETE /NOLOG 'F$PARSE( ";*", TEMP_FILE )
$ SAY " "
$ INPUT "Press <RETURN> to continue.... " ANS
$ GOTO FMENU
$74:
$ DEFINE/USER SYS$OUTPUT 'TEMP_FILE'
$ FINGER BUCKMR@RPI.EDU
$ TYPE/PAGE 'TEMP_FILE'
$ DELETE /NOLOG 'F$PARSE( ";*", TEMP_FILE )
$ SAY " "
$ INPUT "Press <RETURN> to continue.... " ANS
$ GOTO FMENU
$75:
$ DEFINE/USER SYS$OUTPUT 'TEMP_FILE'
$ FINGER NASANEWS@SPACE.MIT.EDU
$ TYPE/PAGE 'TEMP_FILE'
$ DELETE /NOLOG 'F$PARSE( ";*", TEMP_FILE )
$ SAY " "
$ INPUT "Press <RETURN> to continue.... " ANS
$ GOTO FMENU
$76:
$ DEFINE/USER SYS$OUTPUT 'TEMP_FILE'
$ FINGER normg@HALCYON.HALCYON.COM
$ TYPE/PAGE 'TEMP_FILE'
$ DELETE /NOLOG 'F$PARSE( ";*", TEMP_FILE )
$ SAY " "
$ INPUT "Press <RETURN> to continue.... " ANS
$ GOTO FMENU
$77:
$ DEFINE/USER SYS$OUTPUT 'TEMP_FILE'
$ FINGER FRANKLIN@UG.CS.DAL.CA
$ TYPE/PAGE 'TEMP_FILE'
$ DELETE /NOLOG 'F$PARSE( ";*", TEMP_FILE )
$ SAY " "
$ INPUT "Press <RETURN> to continue.... " ANS
$ GOTO FMENU
$78:
$ DEFINE/USER SYS$OUTPUT 'TEMP_FILE'
$ finger weather@csd4.csd.uwm.edu
$ TYPE/PAGE 'TEMP_FILE'
$ DELETE /NOLOG 'F$PARSE( ";*", TEMP_FILE )
$ SAY " "
$ INPUT "    Press <RETURN> to continue.... " ANS
$ GOTO FMENU
$79:
$ DEFINE/USER SYS$OUTPUT 'TEMP_FILE'
$ finger nfl@spam.wicat.com
$ TYPE/PAGE 'TEMP_FILE'
$ DELETE /NOLOG 'F$PARSE( ";*", TEMP_FILE )
$ SAY " "
$ INPUT "    Press <RETURN> to continue.... " ANS
$ GOTO FMENU
$H:
$ CL
$ TYPE SYS$INPUT

    This is a front-end menu to the Internet.  This menu is supposed to
    provide a user with limited knowledge of VMS or the Internet to use the
    resources of the Internet.  I feel this menu will also be very useful
    to even the people that have been on the Internet for a while. 

    I feel that the easier we make access to information, the  more the
    user will get out of it, which is ultimately better for everyone. If
    you have any questions, suggestions, comments or complaints, please use
    option 8 in the main menu to let me know.... I would apperciate any 
    comments from everyone that uses this menu.  I am working on a more
    robust help engine for this menu, but at this point, this is all you
    get.  If you need additonal information, consult the user's guide. I've
    enclosed a text and postscript version of the documentation.  If you
    need additional copies, please feel free to e-mail me.  My e-mail
    address is:

    	carpenterv@vms.csd.mu.edu

$ INPUT "    Press <RETURN> to Continue...."  ANS
$ GOTO MENU 
$8: 
$ cL
$ say "		SUGGESTIONS/COMMENTS/CRITICISM" 
$ SAY " " 
$ TYPE SYS$INPUT 

    I have put in a lot of nights and weekend working on this menu and I
    would love to hear any comments, suggestions or just compliments. Feel
    free to give me your honest opinion

    My e-mail address is carpenterv@vms.csd.mu.edu.

    Thanks

    Vin



$ INPUT "    Press <RETURN> to Continue...."  ANS
$ GOTO MENU
$9:
$IUMENU:
$ CL
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ SAY F$FAO("User: !AS ",USERNAME)
$ SAY F$FAO("Time: !AS							Date: !AS",TIME,DATE)
$ SAY gron,"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof
$ SAY "				[7m[1m Internet Utilities [0m"
$ SAY "''ESC'[10;10HA) ARCHIE","''ESC[10;50HB) NETFIND"
$ SAY "''ESC'[12;10HC) WHOIS","''ESC'[12;50HD) WORLDWINDOW"
$ SAY "''ESC'[14;10HF) WEBSTER DICTIONARY","''ESC'[14;50HG) WAIS"
$ SAY "''ESC'[16;10HI) LAUNCHPAD (FREE ACCOUNT)
$ SAY "''ESC'[18;10HM) Return to the MAIN MENU"
$ say " "
$ say " "
$ say " "
$ INPUT "[1mEnter Choice: [0m" CHOICE/END=EXIT
$ CHOICE = F$EXTRACT(0, 1, F$EDIT(CHOICE, "UPCASE"))
$ IF (CHOICE .EQS. "A") THEN GOTO A
$ IF (CHOICE .EQS. "B") THEN GOTO B
$ IF (CHOICE .EQS. "C") THEN GOTO C
$ IF (CHOICE .EQS. "D") THEN GOTO D
$ IF (CHOICE .EQS. "F") THEN GOTO F
$ IF (CHOICE .EQS. "G") THEN GOTO G
$ IF (CHOICE .EQS. "I") THEN GOTO I
$ IF (CHOICE .EQS. "M") THEN GOTO MENU
$ IF (CHOICE .EQS. "E") THEN GOTO E
$ WRITE SYS$OUTPUT "INVALID CHOICE.. PLEASE TRY AGAIN"
$A:
$ CL
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ rlogin/lowercase/user="archie" ARCHIE.ANS.NET
$ GOTO IUMENU
$B:
$ CL
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ rlogin/lowercase/user="netfind" mudhoney.micro.umn.edu
$ GOTO IUMENU
$C:
$ CL
$ SAY " "
$ SAY "Enter '[1;5mwhois[0m' at the login: prompt"
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET ds.internic.net
$ GOTO IUMENU
$D:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ TELNET LIBRARY.WUSTL.EDU
$ GOTO IUMENU
$F:
$ CL
$ SAY " "
$ SAY "Hit <RETURN> at the WORD: prompt to exit"
$ SAY " "
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ rlogin/lowercase/user="webster" chem.ucsd.edu
$ GOTO IUMENU
$G:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ rlogin/lowercase/user="wais" wais.com
$ GOTO IUMENU
$I:
$ CL
$ DEFINE/USER SYS$INPUT SYS$COMMAND
$ rlogin/lowercase/user="launch" launchpad.unc.edu
$ GOTO IUMENU
$10:
$ boxtop         =   -
"lqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqk"
$ boxbot         =   -
"mqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqj"
$ bar            =   "aaaaaaaaaaaaaaaaaaaaaaaaaa"
$ tab = "	"
$ tab5 ="      "
$ DATE = F$FAO("!2ZB/!2ZB/!2ZB", F$INTEGER(F$CVTIME(,,"MONTH")),-
				 F$INTEGER(F$CVTIME(,,"DAY")),-
			F$INTEGER(F$EXTRACT(2,2,F$CVTIME(,,"YEAR"))))
$ AORP = "A"
$ HOUR = F$INTEGER(F$CVTIME(,,"HOUR"))
$ IF HOUR .GT. 11 THEN AORP = "P"
$ ESC[0,8] = 27	
$ IF HOUR .GT. 12 THEN HOUR = HOUR - 12
$ UIC = F$USER()
$ VMSV = F$GETSYI("VERSION")
$ VMSV = F$EXTRACT(1,F$LENGTH(VMSV)-1,VMSV)
$ TERMINAL_WIDTH = F$GETDVI( F$GETJPI( "", "TERMINAL" ), "DEVBUFSIZ" )
$ TERMINAL_ANSI = F$GETDVI( F$GETJPI( "", "TERMINAL" ), "TT_ANSICRT" )
$ PROT = F$ENVIRONMENT("PROTECTION")
$ TIME = F$FAO("!2ZB:!2ZB !ASM",HOUR,F$INTEGER(F$CVTIME(,,"MINUTE")),AORP)
$ CUR_DIR = F$ENVIORNMENT("DEFAULT")
$ CL
$ SAY " "
$ say tab, gron, boxtop, grof
$ say tab, gron, "x", bar, grof,bold, " SYSINFO ", restore,gron, bar, "x", grof
$ say tab, gron, "tqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqu",grof
$ say tab, gron, "x", grof, tab, "Username: ", tab, username,gron, "''ESC'[5;71Hx", grof
$ say tab, gron, "x", grof, tab, "Directory: ", tab, cur_dir,gron,"''ESC'[6;71Hx", grof
$ say tab, gron, "x", grof, tab, "VMS Version: ", tab, vmsv, gron, "''ESC'[7;71Hx", grof
$ say tab, gron, "x", grof, tab, "VAX Model: ", tab, f$getsyi("HW_NAME"), gron, "''ESC'[8;71Hx", grof
$ say tab, gron, "x", grof, tab, "Nodename: ", tab, f$getsyi("NODENAME"), gron, "''ESC'[9;71Hx", grof
$ say tab, gron, "x", grof, tab, "Protection: ", tab, prot, gron, "''ESC'[10;71Hx", grof
$ say tab, gron, "x", grof, tab, "Time: ",tab, tab, time,gron,"''ESC'[11;71Hx", grof
$ say tab, gron, "x", grof, tab, "Date: ",tab, tab, date,gron, "''ESC'[12;71Hx", grof
$ say tab, gron, "x", grof, tab, "UIC: ", tab, tab, uic,gron, "''ESC'[13;71Hx", grof
$ say tab, gron, "x", grof, tab, "Term Width: ", tab, terminal_width,gron, "''ESC'[14;71Hx", grof
$ say tab, gron, "x", grof, tab, "ANSI Term: ", tab,terminal_ansi,gron,"''ESC'[15;71Hx", grof
$ say tab, gron, "mqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",grof,bold,"Vinit Carpenter",restore,gron,"qqqqj", grof
$ say " "
$ say " "
$ say " "
$ say " "
$ INPUT "Press <RETURN> to continue..." ANS
$ GOTO MENU
$V:
$ CL
$ say gron,"''ESC'[9;22Hlqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqk",grof
$ say gron,"''ESC'[10;22Hx",grof,gron,"''ESC'[10;54Hx",grof,reverse," ",restore
$ say gron,"''ESC'[11;22Hx",grof,"	     The INTERNET Menu",gron,"''ESC'[11;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[12;22Hx",grof,"		     By",gron,"''ESC'[12;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[13;22Hx",grof,"	     Vinit S. Carpenter",gron,"''ESC'[13;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[14;22Hx",grof,"  (carpenterv@vms.csd.mu.edu)",gron,"''ESC'[14;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[15;22Hx","''ESC'[15;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[16;22Hx",grof,blink,"   Press <RETURN> to Continue",restore,gron,"''ESC'[16;54Hx",grof,reverse," ", restore
$ say gron,"''ESC'[17;22Hmqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqj",grof,reverse," ", restore
$ say "''ESC'[18;22H",reverse,"                                  ",restore
$ INPUT " " ANS/END=EXIT
$ GOTO MENU
$E:
$EXIT:
$ SET NOVERIFY
$ SET CONTROL=(Y,T)
$ CLEAR
$ IF (XVER) THEN SET VERIFY
$ SET MESSAGE/NOTEXT/NOFAC/NOSEV/NOID
$ DELETE /NOLOG 'F$PARSE( ";*", TEMP_FILE )
$ SET MESSAGE 'MSG'
$ WRITE SYS$OUTPUT  "Thank you for using the [1mINTERNET[0m menu."
$ EXIT
